#
# Magic Kernel (Mixing NWP, Modelling)
# Created: 17.6.2025
#
channels:
  - conda-forge
dependencies:
  - python==3.10.6
  - ipykernel
  - regionmask
  - intake==0.6.6
  - intake-esm==2024.2.6
  - seaborn
  - scikit-learn
  - matplotlib
  - numpy
  - pandas==2.2.2
  - xarray
  - eccodes
  - cffi
  - dask
  - bottleneck
  - h5py
  - netcdf4
  - gcsfs==2024.9.0
  - graphviz
  - python-graphviz==0.20.1
  - cartopy==0.22.0
  - pymannkendall
  - python-graphviz
  - connected-components-3d
  - networkx
  - networkit
  - netcdf-fortran
  - nco
  - h5netcdf
  - tensorflow
  - metview-batch
  - scipy
  - pysolar==0.10.0
  - vtk
  - pyqt>=4
  - mayavi
  - metpy
  - eofs
  - ipywidgets
  - cmocean
  - healpy
  - easygems
  - cdsapi
  - python-eccodes
  - shtns
  - f90nml
  - gdb==14.1
  - pip:
    - enstools==2023.1
    - ecmwf-data
    - ecmwf-opendata
    - magpye
    - global-land-mask
